﻿using System;
using System.Collections.Generic;

namespace Data
{
    public class CustomerData
    {
        public static List<Customer> GetCustomerDetailsById()
        {
            // Build up some fake data
            // This would normally go to the DB.

            List<Customer> customerDetails = new List<Customer>();
            customerDetails.Add(new Customer
                               {
                                   CustomerAge = 28,
                                   CustomerId = 1,
                                   CustomerName = "Dean",
                                   CustomerAmount = 24.22m,
                                   DateEntered = DateTime.Now.ToShortDateString()
                               });

            customerDetails.Add(new Customer
                                    {
                                        CustomerAge = 30,
                                        CustomerId = 2,
                                        CustomerName = "Joe",
                                        CustomerAmount = 14.88m,
                                        DateEntered = DateTime.Now.ToShortDateString()
                                    });

            customerDetails.Add(new Customer
            {
                CustomerAge = 12,
                CustomerId = 3,
                CustomerName = "Joe2",
                CustomerAmount = 14.88m,
                DateEntered = DateTime.Now.ToShortDateString()
            });

            customerDetails.Add(new Customer
            {
                CustomerAge = 98,
                CustomerId = 4,
                CustomerName = "Joe3",
                CustomerAmount = 14.48m,
                DateEntered = DateTime.Now.ToShortDateString()
            });


            return customerDetails;
        }
    }

    public class Customer
    {
        public int CustomerId { get; set; }
        public string CustomerName { get; set; }
        public int CustomerAge { get; set; }
        public decimal CustomerAmount { get; set; }
        public string DateEntered { get; set; } 
    }
}
